# MeshGetElements

Creates an array holding the vertices on each element.

### Synopsis

    #include "petscmesh.h"
    PetscErrorCode MeshGetElements(Mesh mesh, PetscTruth columnMajor, PetscInt *numElements, PetscInt *numCorners, PetscInt *vertices[])

Not Collective

### Input Parameters

| mesh | - The Mesh object
| columnMajor | - Flag for column major order

### Output Parameters

| numElements | - The number of elements
| numCorners | - The number of vertices per element
| vertices | - The array holding vertices on each local element

### Keywords

mesh, elements

### See Also

MeshCreate()

Level:intermediate
Location: src/dm/mesh/mesh.c
Index of all DA routines
Table of Contents for all manual pages
Index of all manual pages